Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoNDPlusReplacement< EOT, WorthT > Class Template Reference

An elitist non-dominated sorted replacement scheme. More...

Inheritance diagram for eoNDPlusReplacement< EOT, WorthT >:

List of all members.

## Public Member Functions
| eoNDPlusReplacement (eoPerf2Worth< EOT, WorthT > &_perf2worth)
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.
| eoNDPlusReplacement (eoPerf2Worth< EOT, WorthT > &_perf2worth)
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoPerf2Worth< EOT, WorthT > & | perf2worth
eoPerf2Worth< EOT, WorthT > & | perf2worth

## Detailed Description

### template<class EOT, class WorthT = double>
class eoNDPlusReplacement< EOT, WorthT >

An elitist non-dominated sorted replacement scheme.

Trying out an elitist non-dominated sorted replacement scheme.

Definition at line 45 of file make_algo_pareto.h.

The documentation for this class was generated from the following files:

- make_algo_pareto.h
- t-eoPareto.cpp